[Debian-live-changes] r2421 - in dists/trunk/live-helper: docs helpers

daniel at alioth.debian.org daniel at alioth.debian.org
Sat Jul 7 12:11:32 UTC 2007


Author: daniel
Date: 2007-07-07 12:11:32 +0000 (Sat, 07 Jul 2007)
New Revision: 2421

Added:
   dists/trunk/live-helper/helpers/lh_chroot_sysv-rc
Removed:
   dists/trunk/live-helper/helpers/lh_chroot_sysvrc
Modified:
   dists/trunk/live-helper/docs/ChangeLog
   dists/trunk/live-helper/helpers/lh_chroot
   dists/trunk/live-helper/helpers/lh_chroot_linux-image
Log:


Modified: dists/trunk/live-helper/docs/ChangeLog
===================================================================
--- dists/trunk/live-helper/docs/ChangeLog	2007-07-07 11:12:57 UTC (rev 2420)
+++ dists/trunk/live-helper/docs/ChangeLog	2007-07-07 12:11:32 UTC (rev 2421)
@@ -1,3 +1,26 @@
+2007-07-07  Daniel Baumann  <daniel at debian.org>
+
+	* helpers/lh_binary_chroot:
+	  - Going back to full copy instead of hardlinks.
+	* helpers/lh_binary_debian-installer:
+	  - Added architectures for daily images.
+	* helpers/lh_binary_grub:
+	  - Refactored.
+	* helpers/lh_binary_grub, lh_binary_syslinux, lh_binary_yaboot:
+	  - Added 'quiet' for everything newer than etch.
+	* helpers/lh_chroot_hacks:
+	  - Added removal of some build-system influenced files.
+	  - Cleaned up a bit.
+	* helpers/lh_chroot_localization:
+	  - Fixed typo.
+	  - Added k3b and gwenview.
+	* helpers/lh_chroot_sysvrc:
+	  - Renamed to lh_chroot_sysv-rc.
+	* hooks/mini, minimal:
+	  - Using apt-get autoremove.
+	* lists/devel-live:
+	  - Added.
+
 2007-07-06  Otavio Salvador  <otavio at debian.org>
 
 	* helpers/lh_binary_rootfs:
@@ -22,6 +45,10 @@
 
 	* functions/defaults.sh:
 	  - Added architecture handling to mirror defaults.
+	* helpers/lh_binary_hacks,
+	  includes/includes/sid/live/parameters.txt.casper,
+	  parameters.txt.live-initramfs:
+	  - Added.
 
 2007-07-02  Otavio Salvador  <otavio at debian.org>
 

Modified: dists/trunk/live-helper/helpers/lh_chroot
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot	2007-07-07 11:12:57 UTC (rev 2420)
+++ dists/trunk/live-helper/helpers/lh_chroot	2007-07-07 12:11:32 UTC (rev 2421)
@@ -37,7 +37,7 @@
 lh_chroot_proc install ${*}
 lh_chroot_sysfs install ${*}
 lh_chroot_debianchroot install ${*}
-lh_chroot_sysvrc install ${*}
+lh_chroot_sysv-rc install ${*}
 lh_chroot_hosts install ${*}
 lh_chroot_resolv install ${*}
 lh_chroot_hostname install ${*}
@@ -68,7 +68,7 @@
 lh_chroot_hostname remove ${*}
 lh_chroot_resolv remove ${*}
 lh_chroot_hosts remove ${*}
-lh_chroot_sysvrc remove ${*}
+lh_chroot_sysv-rc remove ${*}
 lh_chroot_debianchroot remove ${*}
 lh_chroot_sysfs remove ${*}
 lh_chroot_proc remove ${*}

Modified: dists/trunk/live-helper/helpers/lh_chroot_linux-image
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_linux-image	2007-07-07 11:12:57 UTC (rev 2420)
+++ dists/trunk/live-helper/helpers/lh_chroot_linux-image	2007-07-07 12:11:32 UTC (rev 2421)
@@ -64,6 +64,12 @@
 warn_initrd = No
 EOF
 
+		# Diverting update-initramfs
+		#if [ "${LH_INITRAMFS}" = "live-initramfs" ]
+		#then
+		#	mv chroot/usr/sbin/update-initramfs chroot/usr/sbin/update-initramfs.live-helper
+		#fi
+
 		if [ "${LIVE_LINUX_PACKAGES}" != "none" ]
 		then
 			for FLAVOUR in ${LIVE_LINUX_FLAVOURS}

Copied: dists/trunk/live-helper/helpers/lh_chroot_sysv-rc (from rev 2410, dists/trunk/live-helper/helpers/lh_chroot_sysvrc)
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_sysv-rc	                        (rev 0)
+++ dists/trunk/live-helper/helpers/lh_chroot_sysv-rc	2007-07-07 12:11:32 UTC (rev 2421)
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# lh_chroot_sysv-rc(1) - manage /usr/sbin/policy-rc.d
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="manage /usr/sbin/policy-rc.d"
+HELP=""
+USAGE="${PROGRAM} {install|remove} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+case "${1}" in
+	install)
+		Echo_message "Configuring file /usr/sbin/policy-rc.d"
+
+		# Checking stage file
+		Check_stagefile .stage/chroot_sysv-rc
+
+		# Checking lock file
+		Check_lockfile .lock
+
+		# Creating lock file
+		Create_lockfile .lock
+
+		if [ -f chroot/usr/sbin/policy-rc.d ]
+		then
+			# Save policy-rc.d file
+			mv chroot/usr/sbin/policy-rc.d chroot/usr/sbin/policy-rc.d.orig
+		fi
+
+		# Create policy-rc.d file
+cat  > chroot/usr/sbin/policy-rc.d << EOF
+#!/bin/sh
+
+echo
+echo "Warning: invoke-rc.d policy in action. Skiping daemon starting"
+
+exit 101
+EOF
+
+		chmod 0755 chroot/usr/sbin/policy-rc.d
+
+		# Creating stage file
+		Create_stagefile .stage/chroot_sysv-rc
+		;;
+
+	remove)
+		Echo_message "Deconfiguring file /usr/sbin/policy-rc.d"
+
+		# Checking lock file
+		Check_lockfile .lock
+
+		# Creating lock file
+		Create_lockfile .lock
+
+		if [ -f chroot/usr/sbin/policy-rc.d.orig ]
+		then
+			# Restore policy-rc.d file
+			mv chroot/usr/sbin/policy-rc.d.orig chroot/usr/sbin/policy-rc.d
+		else
+			# Remove policy-rc.d file
+			rm -f chroot/usr/sbin/policy-rc.d
+		fi
+
+		# Removing stage file
+		rm -f .stage/chroot_sysv-rc
+		;;
+
+	*)
+		Usage
+		;;
+esac

Deleted: dists/trunk/live-helper/helpers/lh_chroot_sysvrc
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_sysvrc	2007-07-07 11:12:57 UTC (rev 2420)
+++ dists/trunk/live-helper/helpers/lh_chroot_sysvrc	2007-07-07 12:11:32 UTC (rev 2421)
@@ -1,98 +0,0 @@
-#!/bin/sh
-
-# lh_chroot_sysvrc(1) - manage /usr/sbin/policy-rc.d
-# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
-#
-# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
-
-set -e
-
-# Including common functions
-LH_BASE="${LH_BASE:-/usr/share/live-helper}"
-
-for FUNCTION in "${LH_BASE}"/functions/*.sh
-do
-	. "${FUNCTION}"
-done
-
-# Setting static variables
-DESCRIPTION="manage /usr/sbin/policy-rc.d"
-HELP=""
-USAGE="${PROGRAM} {install|remove} [--force]"
-
-Arguments "${@}"
-
-# Reading configuration files
-Read_conffile config/common
-Read_conffile config/bootstrap
-Read_conffile config/chroot
-Read_conffile config/binary
-Read_conffile config/source
-Set_defaults
-
-# Requiring stage file
-Require_stagefile .stage/bootstrap
-
-case "${1}" in
-	install)
-		Echo_message "Configuring file /usr/sbin/policy-rc.d"
-
-		# Checking stage file
-		Check_stagefile .stage/chroot_sysvrc
-
-		# Checking lock file
-		Check_lockfile .lock
-
-		# Creating lock file
-		Create_lockfile .lock
-
-		if [ -f chroot/usr/sbin/policy-rc.d ]
-		then
-			# Save policy-rc.d file
-			mv chroot/usr/sbin/policy-rc.d chroot/usr/sbin/policy-rc.d.orig
-		fi
-
-		# Create policy-rc.d file
-cat  > chroot/usr/sbin/policy-rc.d << EOF
-#!/bin/sh
-
-echo
-echo "Warning: invoke-rc.d policy in action. Skiping daemon starting"
-
-exit 101
-EOF
-
-		chmod 0755 chroot/usr/sbin/policy-rc.d
-
-		# Creating stage file
-		Create_stagefile .stage/chroot_sysvrc
-		;;
-
-	remove)
-		Echo_message "Deconfiguring file /usr/sbin/policy-rc.d"
-
-		# Checking lock file
-		Check_lockfile .lock
-
-		# Creating lock file
-		Create_lockfile .lock
-
-		if [ -f chroot/usr/sbin/policy-rc.d.orig ]
-		then
-			# Restore policy-rc.d file
-			mv chroot/usr/sbin/policy-rc.d.orig chroot/usr/sbin/policy-rc.d
-		else
-			# Remove policy-rc.d file
-			rm -f chroot/usr/sbin/policy-rc.d
-		fi
-
-		# Removing stage file
-		rm -f .stage/chroot_sysvrc
-		;;
-
-	*)
-		Usage
-		;;
-esac




More information about the Debian-live-changes mailing list